#### PyKDE - Python Bindings for KDE

# class KSambaShare |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KSambaShare
Inherits | TQObject

### methods

- KSambaShare ()

  returns a KSambaShare instance
  In versions KDE 3.3.0 and above only

- changed ()

  returns nothing
  In versions KDE 3.3.0 and above only

- instance ()

  returns (KSambaShare)
  In versions KDE 3.3.0 and above only
  static

- isDirectoryShared (path)

  returns (bool)
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  path | TQString |

- sharedDirectories ()

  returns (TQStringList)
  In versions KDE 3.3.0 and above only

- smbConfPath ()

  returns (TQString)
  In versions KDE 3.3.0 and above only